<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Commanders: D:/Mes documents/Trusty/Arduino/Libraries/Commanders/src/ButtonsCommanderAnalogPushes.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Commanders
   </div>
   <div id="projectbrief">Arduino buttons/bus library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('ButtonsCommanderAnalogPushes_8hpp_source.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">ButtonsCommanderAnalogPushes.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __buttonsCommanderAnalogPushes_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __buttonsCommanderAnalogPushes_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="Commanders_8h.html">Commanders.h</a>&gt;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#ifndef NO_BUTTONSCOMMANDER</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef NO_BUTTONSCOMMANDERANALOGPUSHES</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;ButtonsCommanderAnalogPushesItem.hpp&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="classButtonsCommanderAnalogPushes.html">   49</a></span>&#160;<span class="keyword">class </span><a class="code" href="classButtonsCommanderAnalogPushes.html">ButtonsCommanderAnalogPushes</a> : <span class="keyword">public</span> <a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;{</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="keywordtype">int</span> analogPin;          <span class="comment">// Number of the pushbutton analog pin. This is a normal number, not an arduino2 GPIO_pin_t.</span></div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    uint8_t number;         <span class="comment">// Number of buttons</span></div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    uint8_t lastButtonPressed; <span class="comment">// last button pressed number</span></div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <span class="keywordtype">int</span> lastButtonState;    <span class="comment">// the previous reading from the input pin</span></div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keywordtype">int</span> readingTolerancy;   <span class="comment">// if the value is between &#39;button value-tolerancy&#39; and &#39;button value+tolerancy&#39; , this is good !</span></div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="comment">// List of items which must be allocated by the constructor.</span></div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> size;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    <a class="code" href="classButtonsCommanderAnalogPushesItem.html">ButtonsCommanderAnalogPushesItem</a> *pButtons;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> lastDebounceTime;  <span class="comment">// the last time the output pin was toggled</span></div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> debounceDelay;    <span class="comment">// the debounce time; increase if the output flickers</span></div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <a class="code" href="classButtonsCommanderAnalogPushes.html#a838603d13e894d923700ec9ad9958cd7">ButtonsCommanderAnalogPushes</a>();</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classButtonsCommanderAnalogPushes.html#afdee2008ec1f6f3f276bfa6193bfa60c">begin</a>(<span class="keywordtype">int</span> inButtonPin, uint8_t inNumber, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> *inpIds, <span class="keywordtype">int</span> *inpButtonValues, <span class="keywordtype">int</span> inTolerancy = 20);</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classButtonsCommanderAnalogPushes.html#ab72557e2f070f17498f5e43f82ec52f3">loop</a>();</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classButtonsCommanderAnalogPushes.html#aed6eacfc1656e7aacd24cf3ab6565ea1">EndLoop</a>();</div><div class="line"><a name="l00082"></a><span class="lineno"><a class="line" href="classButtonsCommanderAnalogPushes.html#a6f796b9880e1d9b7a41a26fdf972a3c0">   82</a></span>&#160;    <a class="code" href="classButtonsCommanderAnalogPushesItem.html">ButtonsCommanderAnalogPushesItem</a> *<a class="code" href="classButtonsCommanderAnalogPushes.html#a6f796b9880e1d9b7a41a26fdf972a3c0">GetItem</a>(uint8_t inNumber) { <span class="keywordflow">return</span> &amp;(this-&gt;pButtons[inNumber]); }</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a>* <a class="code" href="classButtonsCommanderAnalogPushes.html#ae976e740dfe282cf22e107cfa6b13dc3">GetFromId</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId);</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno"><a class="line" href="classButtonsCommanderAnalogPushes.html#af42beb367b2a6278527ef79a30cd892d">   87</a></span>&#160;    <span class="keyword">inline</span> uint8_t <a class="code" href="classButtonsCommanderAnalogPushes.html#af42beb367b2a6278527ef79a30cd892d">GetLastButtonPressed</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;lastButtonPressed; }</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="preprocessor">#ifdef COMMANDERS_PRINT_COMMANDERS</span></div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    <span class="keywordtype">void</span> printCommander();</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;};</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classButtonsCommanderAnalogPushes_html_af42beb367b2a6278527ef79a30cd892d"><div class="ttname"><a href="classButtonsCommanderAnalogPushes.html#af42beb367b2a6278527ef79a30cd892d">ButtonsCommanderAnalogPushes::GetLastButtonPressed</a></div><div class="ttdeci">uint8_t GetLastButtonPressed() const </div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderAnalogPushes_8hpp_source.html#l00087">ButtonsCommanderAnalogPushes.hpp:87</a></div></div>
<div class="ttc" id="classButtonsCommanderAnalogPushes_html_ae976e740dfe282cf22e107cfa6b13dc3"><div class="ttname"><a href="classButtonsCommanderAnalogPushes.html#ae976e740dfe282cf22e107cfa6b13dc3">ButtonsCommanderAnalogPushes::GetFromId</a></div><div class="ttdeci">ButtonsCommanderButton * GetFromId(unsigned long inId)</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderAnalogPushes_8cpp_source.html#l00048">ButtonsCommanderAnalogPushes.cpp:48</a></div></div>
<div class="ttc" id="classButtonsCommanderAnalogPushes_html_a6f796b9880e1d9b7a41a26fdf972a3c0"><div class="ttname"><a href="classButtonsCommanderAnalogPushes.html#a6f796b9880e1d9b7a41a26fdf972a3c0">ButtonsCommanderAnalogPushes::GetItem</a></div><div class="ttdeci">ButtonsCommanderAnalogPushesItem * GetItem(uint8_t inNumber)</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderAnalogPushes_8hpp_source.html#l00082">ButtonsCommanderAnalogPushes.hpp:82</a></div></div>
<div class="ttc" id="classButtonsCommanderAnalogPushes_html_aed6eacfc1656e7aacd24cf3ab6565ea1"><div class="ttname"><a href="classButtonsCommanderAnalogPushes.html#aed6eacfc1656e7aacd24cf3ab6565ea1">ButtonsCommanderAnalogPushes::EndLoop</a></div><div class="ttdeci">void EndLoop()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderAnalogPushes_8cpp_source.html#l00109">ButtonsCommanderAnalogPushes.cpp:109</a></div></div>
<div class="ttc" id="classButtonsCommanderAnalogPushes_html_afdee2008ec1f6f3f276bfa6193bfa60c"><div class="ttname"><a href="classButtonsCommanderAnalogPushes.html#afdee2008ec1f6f3f276bfa6193bfa60c">ButtonsCommanderAnalogPushes::begin</a></div><div class="ttdeci">void begin(int inButtonPin, uint8_t inNumber, unsigned long *inpIds, int *inpButtonValues, int inTolerancy = 20)</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderAnalogPushes_8cpp_source.html#l00022">ButtonsCommanderAnalogPushes.cpp:22</a></div></div>
<div class="ttc" id="classButtonsCommanderAnalogPushes_html_a838603d13e894d923700ec9ad9958cd7"><div class="ttname"><a href="classButtonsCommanderAnalogPushes.html#a838603d13e894d923700ec9ad9958cd7">ButtonsCommanderAnalogPushes::ButtonsCommanderAnalogPushes</a></div><div class="ttdeci">ButtonsCommanderAnalogPushes()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderAnalogPushes_8cpp_source.html#l00011">ButtonsCommanderAnalogPushes.cpp:11</a></div></div>
<div class="ttc" id="classButtonsCommanderAnalogPushesItem_html"><div class="ttname"><a href="classButtonsCommanderAnalogPushesItem.html">ButtonsCommanderAnalogPushesItem</a></div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderAnalogPushesItem_8hpp_source.html#l00012">ButtonsCommanderAnalogPushesItem.hpp:12</a></div></div>
<div class="ttc" id="classButtonsCommanderAnalogPushes_html_ab72557e2f070f17498f5e43f82ec52f3"><div class="ttname"><a href="classButtonsCommanderAnalogPushes.html#ab72557e2f070f17498f5e43f82ec52f3">ButtonsCommanderAnalogPushes::loop</a></div><div class="ttdeci">unsigned long loop()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderAnalogPushes_8cpp_source.html#l00057">ButtonsCommanderAnalogPushes.cpp:57</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html"><div class="ttname"><a href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00015">ButtonsCommanderButton.hpp:15</a></div></div>
<div class="ttc" id="classButtonsCommanderAnalogPushes_html"><div class="ttname"><a href="classButtonsCommanderAnalogPushes.html">ButtonsCommanderAnalogPushes</a></div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderAnalogPushes_8hpp_source.html#l00049">ButtonsCommanderAnalogPushes.hpp:49</a></div></div>
<div class="ttc" id="Commanders_8h_html"><div class="ttname"><a href="Commanders_8h.html">Commanders.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>ButtonsCommanderAnalogPushes.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:55:02 for Commanders &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
